summaryrefslogtreecommitdiffstats
path: root/rust/vendor/regex/test
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:39:49 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:39:49 +0000
commita0aa2307322cd47bbf416810ac0292925e03be87 (patch)
tree37076262a026c4b48c8a0e84f44ff9187556ca35 /rust/vendor/regex/test
parentInitial commit. (diff)
downloadsuricata-a0aa2307322cd47bbf416810ac0292925e03be87.tar.xz
suricata-a0aa2307322cd47bbf416810ac0292925e03be87.zip
Adding upstream version 1:7.0.3.upstream/1%7.0.3
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'rust/vendor/regex/test')
-rwxr-xr-xrust/vendor/regex/test30
1 files changed, 30 insertions, 0 deletions
diff --git a/rust/vendor/regex/test b/rust/vendor/regex/test
new file mode 100755
index 0000000..b10564f
--- /dev/null
+++ b/rust/vendor/regex/test
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -e
+
+# This is a convenience script for running a broad swath of tests across
+# features. We don't test the complete space, since the complete space is quite
+# large. Hopefully once we migrate the test suite to better infrastructure
+# (like regex-automata), we'll be able to test more of the space.
+echo "===== DEFAULT FEATURES ==="
+cargo test
+
+echo "===== DOC TESTS ==="
+cargo test --doc
+
+features=(
+ "std"
+ "std unicode"
+ "std unicode-perl"
+ "std perf"
+ "std perf-cache"
+ "std perf-dfa"
+ "std perf-inline"
+ "std perf-literal"
+)
+for f in "${features[@]}"; do
+ echo "===== FEATURE: $f (default) ==="
+ cargo test --test default --no-default-features --features "$f"
+ echo "===== FEATURE: $f (default-bytes) ==="
+ cargo test --test default-bytes --no-default-features --features "$f"
+done